CMSIS-DSP: interpolation_functions_f16.h File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
interpolation_functions_f16.h File Reference

## Data Structures

struct | arm_linear_interp_instance_f16
struct | arm_bilinear_interp_instance_f16
| Instance structure for the floating-point bilinear interpolation function. More...

## Functions

float16_t | arm_linear_interp_f16 (arm_linear_interp_instance_f16 *S, float16_t x)
| Process function for the floating-point Linear Interpolation Function. More...
float16_t | arm_bilinear_interp_f16 (const arm_bilinear_interp_instance_f16 *S, float16_t X, float16_t Y)
| Floating-point bilinear interpolation. More...